From: Zdenek Kabelac <zkabelac@sourceware.org>
To: lvm-devel@redhat.com
Subject: main - tests: try to retry remove of scsi_debug
Date: Mon, 24 Apr 2023 22:14:37 +0000 (GMT) [thread overview]
Message-ID: <20230424221437.5F01F3858D39@sourceware.org> (raw)
Gitweb: https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=e42b56c31b71751bcd9d9cc9bae765433fa68027
Commit: e42b56c31b71751bcd9d9cc9bae765433fa68027
Parent: b8aea8ae7d000f972d2643a3f097b46c4dbb1fe7
Author: Zdenek Kabelac <zkabelac@redhat.com>
AuthorDate: Mon Apr 24 15:26:40 2023 +0200
Committer: Zdenek Kabelac <zkabelac@redhat.com>
CommitterDate: Tue Apr 25 00:12:31 2023 +0200
tests: try to retry remove of scsi_debug
Not quite sure if this helps anything, some of testing
machines can't reliably remove scsi_debug, reporting
they are in use - but it's not easily reproducible...
---
test/lib/aux.sh | 7 ++++++-
1 file changed, 6 insertions(+), 1 deletion(-)
diff --git a/test/lib/aux.sh b/test/lib/aux.sh
index d33a13882..6a0b9da93 100644
--- a/test/lib/aux.sh
+++ b/test/lib/aux.sh
@@ -457,7 +457,12 @@ teardown_devs() {
# prepare_scsi_debug_dev() also sets LOOP to short-circuit prepare_loop()
if test -f SCSI_DEBUG_DEV; then
udev_wait
- test "${LVM_TEST_PARALLEL:-0}" -eq 1 || modprobe -r scsi_debug
+ test "${LVM_TEST_PARALLEL:-0}" -eq 1 || {
+ if ! modprobe -r scsi_debug ; then
+ sleep 1
+ modprobe -r scsi_debug || true
+ fi
+ }
else
test ! -f LOOP || losetup -d "$(< LOOP)" || true
test ! -f LOOPFILE || rm -f "$(< LOOPFILE)"
reply other threads:[~2023-04-24 22:14 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20230424221437.5F01F3858D39@sourceware.org \
--to=zkabelac@sourceware.org \
--cc=lvm-devel@redhat.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.